<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="480dp"
    android:layout_height="350dp"
    android:layout_marginRight="40dp"
    android:layout_marginBottom="40dp"
    android:background="@drawable/home_rectangle_background"
    android:padding="5dp">

    <ImageView
        android:id="@+id/iv_sugar"
        android:layout_width="120dp"
        android:layout_height="120dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="10dp"
        android:src="@drawable/product_1"
        app:layout_constraintBottom_toTopOf="@+id/backstage_guideline2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="178dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:maxHeight="90dp"
        android:text="水中芙蓉"
        android:textColor="#576478"
        android:textSize="30sp"
        app:layout_constraintStart_toEndOf="@+id/iv_sugar"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/backstage_textview7"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginLeft="10dp"
        android:background="#8194F0"
        android:layout_marginTop="10dp"
        android:gravity="center"
        android:text="名字"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@+id/iv_sugar"
        app:layout_constraintTop_toBottomOf="@+id/tv_name" />

    <EditText
        android:id="@+id/et_sugarprice"
        android:layout_width="200dp"
        android:layout_height="80dp"
        android:background="@drawable/backstage_shape_general_param_et"
        android:paddingLeft="10dp"
        android:hint="可自定义名字"
        app:layout_constraintBottom_toBottomOf="@+id/backstage_textview7"
        app:layout_constraintStart_toEndOf="@+id/backstage_textview7"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview7" />

    <TextView
        android:id="@+id/backstage_textview8"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginTop="8dp"
        android:background="#8194F0"
        android:gravity="center"
        android:text="隐藏"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toStartOf="@+id/backstage_textview7"
        app:layout_constraintTop_toBottomOf="@+id/backstage_textview7" />

    <TextView
        android:id="@+id/backstage_textview9"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:background="#8194F0"
        android:gravity="center"
        android:text="图片"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintStart_toStartOf="@+id/backstage_textview8"
        app:layout_constraintTop_toBottomOf="@+id/backstage_textview8" />

    <TextView
        android:id="@+id/tv_update_pic"
        android:layout_width="200dp"
        android:layout_height="80dp"
        android:background="#FF7A7A"
        android:gravity="center"
        android:inputType="numberDecimal"
        android:paddingLeft="10dp"
        android:text="点击更换商品图片"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintStart_toEndOf="@+id/backstage_textview9"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview9" />



<!--    <TextView-->
<!--        android:id="@+id/tv_make_pro"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="70dp"-->
<!--        android:layout_marginHorizontal="10dp"-->
<!--        android:layout_marginTop="10dp"-->
<!--        android:background="#FF7A7A"-->
<!--        android:gravity="center"-->
<!--        android:text="点击制作"-->
<!--        android:textColor="@color/white"-->
<!--        android:textSize="24sp"-->
<!--        app:layout_constraintTop_toBottomOf="@+id/backstage_textview9" />-->

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/backstage_guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.78" />


    <RadioGroup
        android:id="@+id/rg_diy_pay"
        android:layout_width="wrap_content"
        android:layout_height="80dp"
        android:background="@drawable/backstage_shape_other_rg_bg"
        android:orientation="horizontal"

        app:layout_constraintStart_toEndOf="@+id/backstage_textview8"
        app:layout_constraintTop_toTopOf="@+id/backstage_textview8">

        <RadioButton
            android:id="@+id/rb_close"
            android:layout_width="120dp"
            android:layout_height="80dp"
            android:background="@drawable/backstage_selector_other_rg"
            android:button="@null"
            android:gravity="center"
            android:text="显示"
            android:textColor="@drawable/backstage_selector_other_tv_color"
            android:textSize="32sp" />

        <RadioButton
            android:id="@+id/rb_open"
            android:layout_width="120dp"
            android:layout_height="80dp"
            android:background="@drawable/backstage_selector_other_rg"
            android:button="@null"
            android:gravity="center"
            android:text="隐藏"
            android:textColor="@drawable/backstage_selector_other_tv_color"
            android:textSize="32sp" />

    </RadioGroup>


</androidx.constraintlayout.widget.ConstraintLayout>